#ifndef __LOG_SW_H
#define __LOG_SW_H

#include "log.h"

#define LOG_SW_DLM "%%"
#define LOG_SW_PRFX "SWLOG"

#define LOGSW(id, format, ...) \
 LOG(LOG_SW_DLM""LOG_SW_PRFX""LOG_SW_DLM"%i "format""LOG_SW_DLM, id, ##__VA_ARGS__)

/* Standart LOG messages */

#define LOG_SW_ID_SYS 1000

#define LOG_SW_ID_PSB_INSTSTATE    LOG_SW_ID_SYS+1
#define LOG_SW_ID_SENSOR_ALARM     LOG_SW_ID_SYS+2
#define LOG_SW_ID_SENSOR_RETURN    LOG_SW_ID_SYS+3

#define LOG_SW_ID_CONF_CHANGED  LOG_SW_ID_SYS+101
#define LOG_SW_ID_START         LOG_SW_ID_SYS+102
#define LOG_SW_ID_SHUDOWN       LOG_SW_ID_SYS+103

#define LOG_SW_ID_IF 2000
#define LOG_SW_ID_IF_LINK           LOG_SW_ID_IF+1
#define LOG_SW_ID_IF_SFP_INSTSTATE  LOG_SW_ID_IF+2


#define LOG_SW_ID_STP 5000
#define LOG_SW_ID_STP_IFSTATE (LOG_SW_ID_STP + 1)


#endif

